org.richfaces.resource.optimizer.resource.writer.impl

## Class ResourceWriterImpl

- java.lang.Object
- - org.richfaces.resource.optimizer.resource.writer.impl.ResourceWriterImpl

- All Implemented Interfaces:
    Closeable, AutoCloseable, ResourceWriter

      public class ResourceWriterImpl
      extends Object
      implements ResourceWriter

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceWriterImpl(File resourceContentsDir, Iterable<ResourceProcessor> resourceProcessors, Logger log, Set<ResourceKey> resourcesWithKnownOrder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `writePackedResource(String packName, String skinName, javax.faces.application.Resource resource)`
    `void` | `writeProcessedResourceMappings(File staticResourceMappingFile, String staticResourcePrefix)`
    `void` | `writeResource(String skinName, javax.faces.application.Resource resource)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceWriterImpl

          public ResourceWriterImpl(File resourceContentsDir,
                            Iterable<ResourceProcessor> resourceProcessors,
                            Logger log,
                            Set<ResourceKey> resourcesWithKnownOrder)

  - ### Method Detail

    - #### writeResource

          public void writeResource(String skinName,
                           javax.faces.application.Resource resource)
                             throws IOException

      Specified by:
        `writeResource` in interface `ResourceWriter`
      Throws:
        `IOException`

    - #### writePackedResource

          public void writePackedResource(String packName,
                                 String skinName,
                                 javax.faces.application.Resource resource)
                                   throws IOException

      Specified by:
        `writePackedResource` in interface `ResourceWriter`
      Throws:
        `IOException`

    - #### writeProcessedResourceMappings

          public void writeProcessedResourceMappings(File staticResourceMappingFile,
                                            String staticResourcePrefix)
                                              throws IOException

      Specified by:
        `writeProcessedResourceMappings` in interface `ResourceWriter`
      Throws:
        `IOException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ResourceWriter`

Copyright © 2014 JBoss by Red Hat. All rights reserved.